
<!DOCTYPE html>

{% load static %}
<link rel="stylesheet" type="text/css" href="{% static 'table.css' %}"> 

<!-- NAVBAR -->
<nav>
      <ul>
          <li><a href="/lab-4/">Home</a></li>
          <li><a href="/lab-4/add">Form</a></li>
          <li><a href="/lab-4/note-list">Note-List</a></li>
      </ul>
</nav>


<style>
  table, th, td {

  border:2px solid rgb(255, 255, 255);
  
 }

</style>

<div class="card">
  <div class="container">
      <head>
        <meta charset="UTF-8" />
        <title>My Notes</title>
        <h1 style="color:rgb(216, 216, 216)" >My Notes</h1>
      </head>
      <body>
        <table style="width:100%">
          <tr bgcolor = "#37988e" style="color:rgb(255, 255, 255)" >
            <th>To</th>
            <th>From</th>
            <th>Title</th>
            <th  bgcolor = "#379874">Message</th>
          </tr>

          <!--- TRYING LOOP -->
          {% if notes %}
            {% for note in notes %}
            
              <tr>
                <p><td style="text-align: center;"><p>{{note.to}}&emsp;</p></td>
                <td style="text-align: center;">{{note.by}}&emsp;</td>
                <td style="text-align: center;">{{note.title}}&emsp;&emsp;</td>
                <td style="text-align: left;">{{note.message}}&emsp;</td></p>
              </tr>
            {% endfor %}
          {% endif %}

        </table>
      </body>
    </div>
  </div>
